// bool 类型
#include <iostream>

using namespace std;

int main()
{
    bool flag = 2; // 非 0 即 true，0 为 false
    if (flag)
        cout << "true" << endl;
    else
        cout << "false" << endl;
    return 0;
}